<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".activity.auth.RegisterBusinessActivity">

    <androidx.appcompat.widget.Toolbar
        android:id="@+id/toolbar"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:background="@color/colorPrimary"
        app:contentInsetEnd="0dp"
        app:contentInsetLeft="0dp"
        app:contentInsetRight="0dp"
        app:contentInsetStart="0dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="horizontal">

            <com.ta.news.controls.CTextView
                android:id="@+id/title"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/app_name"
                android:textColor="@color/white"
                android:textSize="18sp" />

            <androidx.appcompat.widget.AppCompatImageView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:adjustViewBounds="true"
                android:padding="8dp"
                android:src="@drawable/app_icon" />
        </LinearLayout>
    </androidx.appcompat.widget.Toolbar>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp">

                <com.ta.news.controls.CEditText
                    android:id="@+id/edBusinessName"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:hint="Business Name"
                    android:inputType="textPersonName|textCapWords"
                    android:padding="10dp"
                    android:textColor="@color/black"
                    android:textSize="20sp" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <com.ta.news.controls.CEditText
                    android:id="@+id/edAddress"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:gravity="top"
                    android:hint="@string/address"
                    android:inputType="textCapWords|textMultiLine"
                    android:maxLines="4"
                    android:minLines="2"
                    android:padding="10dp"
                    android:textColor="@color/black"
                    android:textSize="20sp" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <com.ta.news.controls.CEditText
                    android:id="@+id/edContactPerson"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="10dp"
                    android:hint="Contact Person"
                    android:inputType="textPersonName|textCapWords"
                    android:padding="10dp"
                    android:textColor="@color/black"
                    android:textSize="20sp" />
            </com.google.android.material.textfield.TextInputLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="10dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <com.hbb20.CountryCodePicker
                    android:id="@+id/moCountryCode"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:inputType="phone"
                    app:ccp_defaultPhoneCode="91"
                    app:ccp_padding="10dp"
                    app:ccp_textSize="15sp" />


                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <com.ta.news.controls.CEditText
                        android:id="@+id/edMobile"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:digits="0123456789"
                        android:enabled="false"
                        android:hint="Contact Number"
                        android:inputType="phone"
                        android:padding="10dp"
                        android:textColor="@color/black"
                        android:textSize="20sp" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="10dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <com.hbb20.CountryCodePicker
                    android:id="@+id/waCountryCode"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:inputType="phone"
                    app:ccp_defaultPhoneCode="91"
                    app:ccp_padding="10dp"
                    app:ccp_textSize="15sp" />


                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <com.ta.news.controls.CEditText
                        android:id="@+id/edWhatsAppMobile"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="10dp"
                        android:digits="0123456789"
                        android:enabled="false"
                        android:hint="WhatsApp Number"
                        android:inputType="phone"
                        android:padding="10dp"
                        android:textColor="@color/black"
                        android:textSize="20sp" />
                </com.google.android.material.textfield.TextInputLayout>
            </LinearLayout>

            <com.ta.news.controls.CTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20dp"
                android:text="Business Registration Notice"
                android:textColor="@color/red"
                android:textSize="10sp" />

            <com.ta.news.controls.CButton
                android:id="@+id/btnUpdate"
                style="@style/button"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="20dp"
                android:gravity="center"
                android:text="@string/update"
                android:textStyle="bold" />

        </LinearLayout>
    </ScrollView>
</LinearLayout>